Bug 125813 - Missing pcitable entry for sata_sil on initrd images
Summary: Missing pcitable entry for sata_sil on initrd images
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-11 19:12 UTC by Michal Jaegermann
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 18:49:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2004-06-11 19:12:58 UTC
Description of problem:

Initrd images include sata_sil.ko module in modules/modules.cgz
but a corresponding entry for a device with a PCI ID 1095:3114,
i.e. Silicon Image SiI 3114 SATARaid Controller,
is missing from modules/pcitable.  This makes an installation on
a machine where drives are hooked up to such controller, ahem,
"interesting".

AFAICS this is not much different in rawhide installation images
from 09-Jun-2004.  That means that sata_sil.ko is stil there
but it vanished not only from pcitable but also from modules.dep.

It is true that currently use sata_sil seems to require booting
with acpi=off for a reliable operation but there is a hardware
around where there is not much in other choices.

Comment 1 Jeremy Katz 2004-06-14 15:45:25 UTC
pcitable isn't really needed anymore -- we include
/modules/modules.pcimap and that should be sufficient for getting the
module loaded.  Is the module not getting auto-loaded for you?

Comment 2 Michal Jaegermann 2004-06-14 23:59:52 UTC
> Is the module not getting auto-loaded for you?
This is indeed the case and once I modified pcitable it got
loaded immediately.  I did find the ID in question in modules.pcimap,
together with three others listed for sata_sil, but it did not
look that this was relevant.

Comment 3 Jeremy Katz 2004-10-07 18:49:10 UTC
Should be fine in FC3.


Note You need to log in before you can comment on or make changes to this bug.